package com.org.hktshop.entity.product;

import com.org.hktshop.base.BaseModel;
import com.org.hktshop.target01.TableField;
import com.org.hktshop.target01.TableName;
import lombok.Data;

/**
 * @author owen
 */
@Data
@TableName("hkt_count_regulation")
public class HktCountRegulation extends BaseModel {

    @TableField("parent_id")
    private String parentId;

    @TableField("category_id")
    private String categoryId;

    @TableField("multiple_one")
    private Double multipleOne;

    @TableField("multiple_two")
    private Double multipleTwo;

    @TableField("multiple_three")
    private Double multipleThree;

    @TableField("multiple_fore")
    private Double multipleFore;

    @TableField("multiple_five")
    private Double multipleFive;

    //'是否常用 1: 常用  2: 非常用'
    @TableField("type")
    private Integer type;

    @TableField("remarks")
    private String remarks;

    @TableField("sys_type")
    private Integer sysType;

    public double getRegulationPrice(int i) {
        switch (i) {
            case 0:
                return multipleOne;
            case 1:
                return multipleTwo;
            case 2:
                return multipleThree;
            case 3:
                return multipleFore;
            case 4:
                return multipleFive;
            default:
                return 0;
        }
    }
}
